{%- extends 'base.tpl' -%}
{% from 'mathjax.tpl' import mathjax %}

{%- block html_head_css -%}
<link href="{{resources.base_url}}voila/static/index.css" rel="stylesheet" type='text/css'>
{% if resources.theme == 'dark' %}
<link href="{{resources.base_url}}voila/static/theme-dark.css" rel="stylesheet" type='text/css'>
{% else %}
<link href="{{resources.base_url}}voila/static/theme-light.css" rel="stylesheet" type='text/css'>
{% endif %}
<link href="{{resources.base_url}}voila/static/materialize.min.css" rel="stylesheet" type='text/css'>

<style type="text/css">
  body {
    background-color: var(--jp-layout-color0);
    overflow-y: scroll;
  }

  .nav-wrapper {
    background-color: var(--jp-layout-color1);
  }

  .brand-logo {
    height: 90%;
    width: 100%;
  }
</style>

{% for css in resources.inlining.css %}
<style type="text/css">
{{ css }}
</style>
{% endfor %}

<style>
a.anchor-link {
  display: none;
}
.highlight  {
  margin: 0.4em;
}
</style>

{{ mathjax() }}
{%- endblock html_head_css -%}

{%- block body -%}
<body data-base-url="{{resources.base_url}}voila/">
  <header>
    <div class="navbar-fixed">
      <nav class="top-nav">
        <div class="nav-wrapper">
          <a href="#!" class="brand-logo-container">
            <object class="brand-logo" type="image/svg+xml" data="{{resources.base_url}}voila/static/voila.svg"></object>
          </a>
        </div>
      </nav>
    </div>
  </header>

  <main>
    <div class="container">
      <div class="row">
        <div class="col s12">
          {% if resources.theme == 'dark' %}
          <div class="jp-Notebook theme-dark">
          {% else %}
          <div class="jp-Notebook theme-light">
          {% endif %}
            {{ super() }}
          </div>
        </div>
      </div>
    </div>
  </main>
</body>
{%- endblock body -%}

{% block footer_js %}
{{ super() }}

<!-- Load Materialize JavaScript -->
<script src="{{resources.base_url}}voila/static/materialize.min.js"></script>
{% endblock footer_js %}
